Sales

Get sale

GET
/v3/aftermarket/customers/{customerId}/sales/{transactionId}

Retrieves the sale for a customer by transaction ID.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"
transactionId*string

Transaction ID of a sale

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

Successful response containing one sale data

application/json
  1. response

Sale contains sale info for a listing that has sold

cancelReason?string

Reason for cancelling a sale

Value in"BUYER_TRANSFER_FAILURE""MUTUALLY_CANCELLED""RESELLER_CANCELLATION_REQUEST""SELLER_TRANSFER_FAILURE""SYSTEM_TRANSFER_FAILURE"
commission?integer

Amount of seller commission. Currency micro unit positive. 1 USD == 1000000

Formatint64
name?string

An aname is a DNS domain name using only LDH characters (lower-case ASCII letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case of an internationalized domain name (IDN).

Examples:

  • example.org
  • xn--exmple-cua.de

Invalid Examples:

  • PartialCapExample.com
    • mixed case, should be lowercased
  • exämple.de
    • this is an IDN and should be IDNA-encoded
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$
Formataname
salePrice?integer

Price at which listing was sold. Currency micro unit positive. 1 USD == 1000000

Formatint64
saleTotal?integer

Total amount of the sale including tax. Currency micro unit positive. 1 USD == 1000000

Formatint64
soldAt?string

Date when the sale happens

Formatiso-datetime
disbursedAt?string

Date when the payout happens

Formatiso-datetime
status?string

The sale status of a listing once it has moved to fulfillment

Value in"AWAITING_AUTH_CODE""AWAITING_PAYEE_INFO""AWAITING_PAYEE_UPDATE""AWAITING_TRANSFER_OWNERSHIP""CANCELLED""CANCEL_REQUESTED""COMPLETED""CONFIRMED_TRANSFER""LEASE_FULLY_PAID""PAID_LEASE_INSTALLMENT""PENDING""PENDING_PAYOUT""PENDING_TRANSFER""PENDING_TRANSFER_INSTRUCTIONS""SCHEDULED_PAYOUT""UNKNOWN"
transactionId?string

Transaction ID of a sale

authCode?string

Authorization code for transferring the domain

saleType?string

Type of sale transaction (BUYNOW or LEASED)

Value in"BUYNOW""LEASED"
installmentAmount?integer

Amount of each installment for leased sales. Currency micro unit positive. 1 USD == 1000000. Only populated for LEASED sales.

Formatint64
nextInstallmentDate?string

Date of the next installment payment. Only populated for LEASED sales.

prevInstallmentDate?string

Date of the previous installment payment. Only populated for LEASED sales.

totalInstallments?integer

Total number of installments for the lease. Only populated for LEASED sales.

Formatint32
totalInstallmentsPaid?integer

Number of installments already paid. Only populated for LEASED sales.

Formatint32
Example Request
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/sales/string'
Example Response
{  "cancelReason": "SELLER_TRANSFER_FAILURE",  "commission": 2000000000,  "name": "example.com",  "salePrice": 2000000000,  "saleTotal": 2000000000,  "soldAt": "string",  "disbursedAt": "string",  "status": "PENDING",  "transactionId": "001d7566-5a43-11e9-82e3-fa163ebaed2e",  "authCode": "ABC123XYZ",  "saleType": "BUYNOW",  "installmentAmount": 10000000,  "nextInstallmentDate": "2024-02-01",  "prevInstallmentDate": "2024-01-01",  "totalInstallments": 12,  "totalInstallmentsPaid": 3}